from pyscf import gto, scf, mcscf
from pyscf.dmrgscf.dmrgci import *
from pyscf.dmrgscf import settings
mol = gto.M(atom='H 0 0 0; F 0 0 1', basis='ccpvdz', verbose=0)
mf = scf.RHF(mol)
mf.kernel()
mc = mcscf.CASSCF(mf, 2, 2) # CAS(2o,2e)
orb = mc.sort_mo([3, 6])  # select active space: sigma, sigma*
print(mc.kernel(orb)[0])
mc = mcscf.CASSCF(mf, 6, 6)  # CAS(6o,6e) 6o: H 1s, F 2s2p3s
mc.fcisolver = DMRGCI(mol, 20) # DMRG M = 20
mc.verbose = 4
print(mc.kernel()[0])
mc.analyze()  # population analysis etc.
