from pyscf import gto, scf, mcscf
from pyscf.dmrgscf.dmrgci import *
from pyscf.dmrgscf import settings
mol = gto.M(atom='H 0 0 0; F 0 0 1', basis='ccpvdz', verbose=0)
mf = scf.RHF(mol)
mf.kernel()
mc = mcscf.CASCI(mf,18, 8)  # CAS(18o,8e) F:1s is frozen
mc.fcisolver = DMRGCI(mol, 100) # DMRG
mc.verbose = 4
print(mc.kernel()[0])
mc.analyze()  # population analysis etc.
